=== debian/changelog ===
dcmtk (3.6.4-2.1ubuntu0.2) focal-security; urgency=medium

  [ Matthew Ruffell <matthew.ruffell@canonical.com> ]
  * SECURITY REGRESSION: Fix segmentation fault introduced by
    CVE-2021-41687 merging two methods that actually did very
    different things. (LP: #2081100)
    - d/p/CVE-2021-41687-2.patch: Fixed bug introduced in a9697d.

 -- Shishir Subedi <shishir.subedi@canonical.com>  Mon, 07 Jul 2025 16:15:34 +0545

dcmtk (3.6.4-2.1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: Denial of Service
    - debian/patches/CVE-2021-41687.patch: fixed null pointer
      dereferences discoverd in the code (CVE-2021-41687, CVE-2021-41688,
      and CVE-2021-41690)
    - debian/patches/CVE-2021-41689.patch: fixed a buffer overflow
      in DU_getStringDOElement function.
    - debian/patches/CVE-2022-2121.patch: fixed a null pointer dereference
    - debian/patches/CVE-2022-43272.patch: fixed a memory leak in
      DcmQueryRetrieveSCP::waitForAssociation function.
    - debian/patches/CVE-2024-28130-1.patch: fixed unchecked typecasts of
      DcmItem::search results.
    - debian/patches/CVE-2024-28130-2.patch: fixed unchecked typecasts and
      fixed LUT handling.
    - debian/patches/CVE-2024-28130-3.patch: fixed wrong error handling
      introduced with the previous patch.
    - debian/patches/CVE-2024-34508,CVE-2024-34509.patch: fixed two
      segmentation faults
    - CVE-2021-41687
    - CVE-2021-41688
    - CVE-2021-41689
    - CVE-2021-41690
    - CVE-2022-2121
    - CVE-2022-43272
    - CVE-2024-28130
    - CVE-2024-34508
    - CVE-2024-34509

 -- Shishir Subedi <shishir.subedi@canonical.com>  Tue, 03 Sep 2024 11:47:56 +0545

dcmtk (3.6.4-2.1build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:20:40 +0100

dcmtk (3.6.4-2.1build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 07:58:50 +0100

dcmtk (3.6.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert to convenient charls copy for now. Closes: #923433

 -- Mathieu Malaterre <malat@debian.org>  Tue, 28 May 2019 21:39:19 +0200

dcmtk (3.6.4-2) unstable; urgency=medium

  * d/rules,d/p/03: Fix DATADIC path, Closes: #913304

 -- Gert Wollny <gewo@debian.org>  Sat, 19 Jan 2019 10:36:10 +0100

dcmtk (3.6.4-1) unstable; urgency=medium

  * d/p/09: Fix build with CharLS 2.0
  * Upload to unstable

 -- Gert Wollny <gewo@debian.org>  Sat, 12 Jan 2019 16:10:06 +0100

dcmtk (3.6.4-1~exp1) experimental; urgency=medium

  [ Jelmer Vernooĳ ]
  * Move source package lintian overrides to debian/source.
  * Trim trailing whitespace.

  [ Gert Wollny ]
  * New upstream version 3.6.4
  * d/p: Update patches for new release and remove old patches 
  * d/control: Update lib package name 
  * d/rules: Change dict install directory to new lib name 
  * d/dcmtk.postinst: Disable running chown recursively
  * d/copyright: Add new libcmr files with non-OFFICE copyright

 -- Gert Wollny <gewo@debian.org>  Sun, 23 Dec 2018 10:43:41 +0100

dcmtk (3.6.3-1~exp1) experimental; urgency=medium

  * d/* correct by running 'git fix dpkg'
  * d/watch: update link (thanks Pedro Fernando Arizpe Gómez)
  * New upstream version 3.6.3
  * d/patches: Update patches to apply to new version
  * d/ .gitlab-ci.yml: Add this CI file
  * p/d/03: Set DATDIC in CMakeLists.txt
  * d/ Update SO version to 13
  * d/p/03: Correct install path
  * d/copyright: Update for added and moved files

 -- Gert Wollny <gewo@debian.org>  Sat, 11 Aug 2018 09:35:25 +0200
